Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.forms.spi
Class XDataFormImpl

    java.lang.Object
      org.jivesoftware.openfire.forms.spi.XDataFormImpl

Deprecated. replaced by `DataForm`

    @Deprecated
    public class XDataFormImpl

extends Object

A concrete DataForm capable of sending itself to a writer and recover its state from an XMPP stanza. XDataForms are packets of the form: ``

     <x xmlns='jabber:x:data' type='{form-type}'>
     <title/>
     <instructions/>
     <field var='field-name'
           type='{field-type}'
           label='description'>
       <desc/>
       <required/>
       <value>field-value</value>
       <option label='option-label'><value>option-value</value></option>
       <option label='option-label'><value>option-value</value></option>
     </field>
     </x>

An XDataFormImpl can contain zero or more XFormFieldImpl 'field' fragments.

To learn more follow this link: JEP-04.

Author:
  gdombiak

Constructor Summary
`XDataFormImpl()` Deprecated.
`XDataFormImpl(String type)` Deprecated.

Method Summary
`void` | `addField(FormField field)` Deprecated.
`void` | `addInstruction(String instruction)` Deprecated.
`void` | `addItemFields(ArrayList itemFields)` Deprecated.
`void` | `addReportedField(FormField field)` Deprecated.
`org.dom4j.Element` | `asXMLElement()` Deprecated.
`FormField` | `getField(String variable)` Deprecated.
`Iterator` | `getFields()` Deprecated.
`int` | `getFieldsSize()` Deprecated.
`Iterator` | `getInstructions()` Deprecated.
`String` | `getName()` Deprecated.
`String` | `getNamespace()` Deprecated.
`String` | `getTitle()` Deprecated.
`String` | `getType()` Deprecated.
`void` | `parse(org.dom4j.Element formElement)` Deprecated.
`void` | `setInstructions(List instructions)` Deprecated.
`void` | `setName(String name)` Deprecated.
`void` | `setNamespace(String namespace)` Deprecated.
`void` | `setTitle(String title)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XDataFormImpl

    public XDataFormImpl()

  Deprecated.

### XDataFormImpl

    public XDataFormImpl(String type)

  Deprecated.

Method Detail

### setTitle

    public void setTitle(String title)

  Deprecated.

### setInstructions

    public void setInstructions(List instructions)

  Deprecated.

### getType

    public String getType()

  Deprecated.

### getTitle

    public String getTitle()

  Deprecated.

### getInstructions

    public Iterator getInstructions()

  Deprecated.

### getField

    public FormField getField(String variable)

  Deprecated.

### getFields

    public Iterator getFields()

  Deprecated.

### getFieldsSize

    public int getFieldsSize()

  Deprecated.

### addInstruction

    public void addInstruction(String instruction)

  Deprecated.

### addField

    public void addField(FormField field)

  Deprecated.

### addReportedField

    public void addReportedField(FormField field)

  Deprecated.

### addItemFields

    public void addItemFields(ArrayList itemFields)

  Deprecated.

### getNamespace

    public String getNamespace()

  Deprecated.

### setNamespace

    public void setNamespace(String namespace)

  Deprecated.

### getName

    public String getName()

  Deprecated.

### setName

    public void setName(String name)

  Deprecated.

### asXMLElement

    public org.dom4j.Element asXMLElement()

  Deprecated.

### parse

    public void parse(org.dom4j.Element formElement)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.